package com.fzm.mall.server.front.user.service;

import com.fzm.mall.server.front.user.model.MailAddress;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.mall.server.front.user.model.vo.AddrVo;

import java.util.List;

/**
 * <p>
 * 用户收货地址表 服务类
 * </p>
 *
 * @author fzm
 * @since 2021-03-30
 */
public interface IMailAddressService extends IService<MailAddress> {

    List<AddrVo> getListByUid(String uid);

    void saveAndUpdate(MailAddress mailAddress);

    void deleteByIdAndUid(Integer id, String uid);
}
